curl --request PUT \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/acv \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"actual_cash_value": 221.2,
"acv_incl_tax": 0,
"date_damage": "2024-05-07",
"date_purchase": "2024-05-01",
"depr_extra_one_year_no_receipt": false,
"homepage_client_category_id": 12922,
"is_acv_cp_price_estimate_based": false,
"is_compensation_based_on_claimed_amount": false,
"item_quantity": 1,
"selected_client_category_id": 12922,
"update_time": "2024-05-07 10:36:44"
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/acv"
payload = {
"actual_cash_value": 221.2,
"acv_incl_tax": 0,
"date_damage": "2024-05-07",
"date_purchase": "2024-05-01",
"depr_extra_one_year_no_receipt": False,
"homepage_client_category_id": 12922,
"is_acv_cp_price_estimate_based": False,
"is_compensation_based_on_claimed_amount": False,
"item_quantity": 1,
"selected_client_category_id": 12922,
"update_time": "2024-05-07 10:36:44"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actual_cash_value: 221.2,
acv_incl_tax: 0,
date_damage: '2024-05-07',
date_purchase: '2024-05-01',
depr_extra_one_year_no_receipt: false,
homepage_client_category_id: 12922,
is_acv_cp_price_estimate_based: false,
is_compensation_based_on_claimed_amount: false,
item_quantity: 1,
selected_client_category_id: 12922,
update_time: '2024-05-07 10:36:44'
})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}/acv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "The replacement cost value is needed to calculate the ACV.",
"event_code": "ERMPAV",
"event_dict": {
"event_severity": "ERROR",
"title": "Missing parameter",
"description": "The replacement_cost_value is needed to calculate the ACV."
}
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}{
"error": "Appraisal id 239055 was not found",
"event_code": "ERNFAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"appraisal_id\" value",
"description": "The appraisal_id \"239055\" was not found"
}
}Perform ACV Calculation
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
The appraisal identifier.
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Body
0.01The date of the submitted damage for this product.
The date of the submitted claim for this product. This field is deprecated and will be removed on 2025-11-01, use date_damage instead.
The date of purchase as reported by the claimant.
Use 'is_compensation_based_on_claimed_amount' instead. This field will be removed in a future version.
Base the ACV calculation on the value from claimed_amount (Purchase Price / Repair) instead of Replacement Cost.
(Optional) The identifier for the category that the ACV algorithm is to use for calculation. This value is client specific. Note: This is not necessarily the same as or related to the product category (client category id) used for the Claimed Product search. Please ask your ValueChecker support contact for more information.
Response
OK
The response is of type object.